/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
 
package org.ow2.easywsdl.extensions.multiple.api;

import org.ow2.easywsdl.wsdl.ExtensionFactory;
import org.ow2.easywsdl.wsdl.api.abstractItf.AbsItfDescription;

/**
 * This interface represents a WSDL definition.
 * @author Nicolas Boissel-Dallier - EBM WebSourcing
 */
public interface Description extends AbsItfDescription {

	/**
	 * Finds the description which correspond to ExtensionFactories in argument
	 * @return Description
	 */
	<D extends AbsItfDescription> D find(ExtensionFactory factory) throws MultipleExtException;
}
